
package de.ivu.elect.exchange.wahlhelfereinsatz;

import de.ivu.elect.business.datei.entity.*;
import de.ivu.elect.business.exchange.control.CsvFileKonfiguration;
import de.ivu.elect.business.exchange.control.FileFormat;

public class WasWahlhelfereinsatzCsvFileKonfiguration implements CsvFileKonfiguration {

  private static final String FORMAT_NAME = "file.format.wahlhelfereinsaetze.was";

  public static final FileFormat FILE_FORMAT = new FileFormat(FORMAT_NAME, FileType.CSV);

  public WasWahlhelfereinsatzCsvFileKonfiguration() {
  }

  @Override
  public FileFormat getFileFormat() {
    return FILE_FORMAT;
  }

  @Override
  public CsvZeichensatz getZeichensatz() {
    return CsvZeichensatz.UTF_8;
  }

  @Override
  public Boolean isWithHeader() {
    return getAnzahlKopfzeilen() > 0;
  }

  @Override
  public Long getAnzahlKopfzeilen() {
    return 1L;
  }

  @Override
  public CsvTrennzeichen getTrennzeichen() {
    return CsvTrennzeichen.SEMIKOLON;
  }

  @Override
  public CsvAnfuehrungszeichen getAnfuehrungszeichen() {
    return CsvAnfuehrungszeichen.OHNE;
  }

  @Override
  public CsvMaskierungszeichen getMaskierungszeichen() {
    return CsvMaskierungszeichen.BACKSLASH;
  }

  @Override
  public Boolean isNutzeTrennzeichenNachLetztemFeld() {
    return false;
  }
}
